performance/arc-lamp (master)

sourcepatches
From 39c00bcc00c9c44777296ff800d48adac96b0189 Mon Sep 17 00:00:00 2001
From: libraryupgrader <tools.libraryupgrader@tools.wmflabs.org>
Date: Wed, 5 May 2021 13:52:04 +0000
Subject: [PATCH] build: Updating php-parallel-lint/php-parallel-lint to 1.3.0

Change-Id: I9bab258a6d7bfaa52cff46ee4898ff01252ae459
---
 composer.json | 72 ++++++++++++++++++++++++++++-----------------------
 1 file changed, 40 insertions(+), 32 deletions(-)

diff --git a/composer.json b/composer.json
index 07bc722..f2535a4 100644
--- a/composer.json
+++ b/composer.json
@@ -1,34 +1,42 @@
 {
-    "name": "wikimedia/arc-lamp",
-    "description": "Flame graphs and log processing for PHP stack traces.",
-    "keywords": [ "sampling", "profiling", "performance", "flamegraph", "excimer" ],
-    "license": "Apache-2.0",
-    "authors": [
-        {
-            "name": "Ori Livneh",
-            "email": "ori@wikimedia.org"
-        },
-        {
-            "name": "Timo Tijhof",
-            "email": "krinklemail@gmail.com"
-        }
-    ],
-    "autoload": {
-        "files": [ "ArcLamp.php" ]
-    },
-    "require": {
-        "php": ">=7.2.0",
-        "ext-redis": "*"
-    },
-    "require-dev": {
-        "php-parallel-lint/php-parallel-lint": "1.2.0"
-    },
-    "scripts": {
-        "test": "parallel-lint . --exclude vendor"
-    },
-    "config": {
-        "platform": {
-            "ext-redis": "3.1.1"
-        }
-    }
+	"name": "wikimedia/arc-lamp",
+	"description": "Flame graphs and log processing for PHP stack traces.",
+	"keywords": [
+		"sampling",
+		"profiling",
+		"performance",
+		"flamegraph",
+		"excimer"
+	],
+	"license": "Apache-2.0",
+	"authors": [
+		{
+			"name": "Ori Livneh",
+			"email": "ori@wikimedia.org"
+		},
+		{
+			"name": "Timo Tijhof",
+			"email": "krinklemail@gmail.com"
+		}
+	],
+	"autoload": {
+		"files": [
+			"ArcLamp.php"
+		]
+	},
+	"require": {
+		"php": ">=7.2.0",
+		"ext-redis": "*"
+	},
+	"require-dev": {
+		"php-parallel-lint/php-parallel-lint": "1.3.0"
+	},
+	"scripts": {
+		"test": "parallel-lint . --exclude vendor"
+	},
+	"config": {
+		"platform": {
+			"ext-redis": "3.1.1"
+		}
+	}
 }
-- 
2.20.1

$ date
Wed May  5 13:51:57 UTC 2021

$ git clone file:///srv/git/performance-arc-lamp.git repo --depth=1 -b master
Cloning into 'repo'...

$ git config user.name libraryupgrader

$ git config user.email tools.libraryupgrader@tools.wmflabs.org

$ git submodule update --init

$ grr init
Installed commit-msg hook.

$ git show-ref refs/heads/master
1f3bce1264fb2893529e1aa046184813bcf8e8a6 refs/heads/master

$ composer install
Loading composer repositories with package information
Warning from https://repo.packagist.org: You are using an outdated version of Composer. Composer 2 is now available and you should upgrade. See https://getcomposer.org/2
Updating dependencies (including require-dev)
Package operations: 1 install, 0 updates, 0 removals
  - Installing php-parallel-lint/php-parallel-lint (v1.2.0): Loading from cache
php-parallel-lint/php-parallel-lint suggests installing php-parallel-lint/php-console-highlighter (Highlight syntax in code snippet)
Writing lock file
Generating autoload files

Upgrading c:php-parallel-lint/php-parallel-lint from 1.2.0 -> 1.3.0
$ composer update
Loading composer repositories with package information
Warning from https://repo.packagist.org: You are using an outdated version of Composer. Composer 2 is now available and you should upgrade. See https://getcomposer.org/2
Updating dependencies (including require-dev)
Package operations: 0 installs, 1 update, 0 removals
  - Updating php-parallel-lint/php-parallel-lint (v1.2.0 => v1.3.0): Loading from cache
Writing lock file
Generating autoload files

$ composer install
Loading composer repositories with package information
Installing dependencies (including require-dev) from lock file
Nothing to install or update
Generating autoload files

$ composer test
> parallel-lint . --exclude vendor
PHP 7.3.27 | 10 parallel jobs
.                                                            1/1 (100 %)


Checked 1 files in 0 seconds
No syntax error found

$ git add .

$ git commit -F /tmp/tmp2f7qswwu
[master 39c00bc] build: Updating php-parallel-lint/php-parallel-lint to 1.3.0
 1 file changed, 42 insertions(+), 34 deletions(-)
 rewrite composer.json (99%)

$ git format-patch HEAD~1 --stdout
From 39c00bcc00c9c44777296ff800d48adac96b0189 Mon Sep 17 00:00:00 2001
From: libraryupgrader <tools.libraryupgrader@tools.wmflabs.org>
Date: Wed, 5 May 2021 13:52:04 +0000
Subject: [PATCH] build: Updating php-parallel-lint/php-parallel-lint to 1.3.0

Change-Id: I9bab258a6d7bfaa52cff46ee4898ff01252ae459
---
 composer.json | 72 ++++++++++++++++++++++++++++-----------------------
 1 file changed, 40 insertions(+), 32 deletions(-)

diff --git a/composer.json b/composer.json
index 07bc722..f2535a4 100644
--- a/composer.json
+++ b/composer.json
@@ -1,34 +1,42 @@
 {
-    "name": "wikimedia/arc-lamp",
-    "description": "Flame graphs and log processing for PHP stack traces.",
-    "keywords": [ "sampling", "profiling", "performance", "flamegraph", "excimer" ],
-    "license": "Apache-2.0",
-    "authors": [
-        {
-            "name": "Ori Livneh",
-            "email": "ori@wikimedia.org"
-        },
-        {
-            "name": "Timo Tijhof",
-            "email": "krinklemail@gmail.com"
-        }
-    ],
-    "autoload": {
-        "files": [ "ArcLamp.php" ]
-    },
-    "require": {
-        "php": ">=7.2.0",
-        "ext-redis": "*"
-    },
-    "require-dev": {
-        "php-parallel-lint/php-parallel-lint": "1.2.0"
-    },
-    "scripts": {
-        "test": "parallel-lint . --exclude vendor"
-    },
-    "config": {
-        "platform": {
-            "ext-redis": "3.1.1"
-        }
-    }
+	"name": "wikimedia/arc-lamp",
+	"description": "Flame graphs and log processing for PHP stack traces.",
+	"keywords": [
+		"sampling",
+		"profiling",
+		"performance",
+		"flamegraph",
+		"excimer"
+	],
+	"license": "Apache-2.0",
+	"authors": [
+		{
+			"name": "Ori Livneh",
+			"email": "ori@wikimedia.org"
+		},
+		{
+			"name": "Timo Tijhof",
+			"email": "krinklemail@gmail.com"
+		}
+	],
+	"autoload": {
+		"files": [
+			"ArcLamp.php"
+		]
+	},
+	"require": {
+		"php": ">=7.2.0",
+		"ext-redis": "*"
+	},
+	"require-dev": {
+		"php-parallel-lint/php-parallel-lint": "1.3.0"
+	},
+	"scripts": {
+		"test": "parallel-lint . --exclude vendor"
+	},
+	"config": {
+		"platform": {
+			"ext-redis": "3.1.1"
+		}
+	}
 }
-- 
2.20.1

composer dependencies

Dependencies
Development dependencies

Logs

Source code is licensed under the AGPL.